Subject: Re: EEVDF/vhost regression (bisected to 86bfbb7ce4f6 sched/fair: Add lag based placement)

From: Tobias Huschle <[email-masked]>
Date: Tue, 19 Mar 2024 09:59:30 +0100

On 2024-03-19 09:29, Michael S. Tsirkin wrote:
> On Tue, Mar 19, 2024 at 09:21:06AM +0100, Tobias Huschle wrote:
>> On 2024-03-15 11:31, Michael S. Tsirkin wrote:
>> > On Fri, Mar 15, 2024 at 09:33:49AM +0100, Tobias Huschle wrote:
>> > > On Thu, Mar 14, 2024 at 11:09:25AM -0400, Michael S. Tsirkin wrote:
>> > > >
>> >
>> > Could you remind me pls, what is the kworker doing specifically that
>> > vhost is relying on?
>> 
>> The kworker is handling the actual data moving in memory if I'm not
>> mistaking.
> 
> I think that is the vhost process itself. Maybe you mean the
> guest thread versus the vhost thread then?

My understanding was that vhost writes data into a file descriptor which 
then triggers eventfd.

That's at least how I read the vhost code if I remember correctly.

The handler beneath (the kworker) then runs the actual instructions that 
move the data to the receiving vhost on the other end of the connection.

Again, I might be wrong here.